Subject: Bugs ??
From: [email-masked] (Pasqualino Assini)

3 Feb 1997 21:58:43 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 3.0 (WinNT; I)
Original-To: [email-masked]
Original-Sender: [email-masked]

Hi everybody,

I'm new to this list so you will excuse me if I ask questions
already asked before.

I think I found some quirks in the 17.1 release:

...1..
The "split" utility doesn't seem to work
I tried it on zip and exe files and I got a XAA of 200 or 300 bytes and
that's was all.
I wonder if 'split' is opening the files in binary mode.

...2..
While changing some test program of the YACL library I found that: 

This (incorrect) line will provoke an internal compiler error:
cout << "Corresponding item is = " << item->AsString;

The correct code would be:
cout << "Corresponding item is = " << item->AsString();

because AsString() is a method, but isn't it strange that it produces an
internal compiler error ? (I didn't check if it will bomb gcc under
other platforms)

...3.. 
#include <string.h> 

I have a problem with <string.h>.
Apparently it doesn't include strdup() strstr() and the like.

I had to include directly the proper header as:

#include "/gcc/h-i386-cygwin32/i386-cygwin32/include/string.h"

...4..

The STL library file g++/alloc.h 
contains a definition (not just a declaration) of some functions:
 void * malloc_alloc::oom_malloc(size_t n)
 void * malloc_alloc::oom_realloc(void *p, size_t n)

As this is included by all STL header files if you use STL in more
than one source file of your program you get lots of "multiple
definition" errors at  linking time !

I had to move this definitions to a separate .cc file.
I guess that there must be a smarter solution !

A last question, why is compilation and linking so much slower than
under Linux ?

-- 
Pasqualino Assini        --- Kamus Internet Consulting
Via Nazioni Unite,47     --- 50126 Firenze Italy
Tel/Fax: +39 55 68.58.07 --- Tel/Fax: +39 55 48.29.29
Tel: +39 584 79.11.31    --- 
Email: [email-masked]   --- Web: http://www.kamus.it/

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".